package com.ruoyi.bst.changeRecord.domain.enums;

import com.ruoyi.bst.bonus.domain.enums.BonusBstType;
import com.ruoyi.bst.lightingNum.domain.LightingBstType;
import com.ruoyi.bst.order.domain.enums.OrderStatus;
import com.ruoyi.common.utils.collection.CollectionUtils;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.List;

@Getter
@AllArgsConstructor
public enum ChangeRecordBstType {

    LIGHTING("LIGHTING", "Permissions"),
    RECHARGE("RECHARGE", "充值"),
    GIFT("GIFT", "赠送"),
    REFUND("REFUND", "退款");

    private final String code;
    private final String name;

    // 次数增加状态
    public static List<String> numIncrease() {
        return CollectionUtils.map(ChangeRecordBstType::getCode, RECHARGE,GIFT);
    }

    // 使用状态
    public static List<String> used() {
        return CollectionUtils.map(ChangeRecordBstType::getCode, LIGHTING);
    }


}
